<script>
export default {
    props: {
        'inputID': String,
        'inputName': String,
        'inputValue': String
    },
    emits: ['update:inputValue'],
    mounted() {
        if (this.inputValue) {
            this.$emit('update:inputValue', this.inputValue);
        }
    }
}
</script>

<template>
    <input class="form-control" :id="inputID" :name="inputName" :value="inputValue" maxlength="255"
    @input="$emit('update:inputValue', $event.target.value)">
</template>